build container:
  image: docker:latest
  variables:
    DOCKER_DRIVER: overlay2
  services:
  - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build -t registry.gitlab.com/dropsolid/containers/golang_builder:1.18 .
    - docker push -a registry.gitlab.com/dropsolid/containers/golang_builder
  only:
    - master
  tags:
    - docker
